[Overview][Procedures and functions][Index] | Reference for unit 'Strings' (#rtl)

# strupper

Convert null-terminated string to all-uppercase

## Declaration

Source position: strings.pp line 84

`function strupper(`
`p: PChar`
`):PChar;`

## Description

Converts P to an all-uppercase string. Returns P.

For an example, see StrLower

## Errors

None.

## See also

StrLower |  | Convert null-terminated string to all-lowercase.